1. Docs
  2. API Reference
  3. Get ancestor chain for a node

Get ancestor chain for a node

GET/api/v1/nodes/{id}/ancestors

Authentication

  • Bearer Token Authorization

    JWT access token

  • API Key X-API-Key

    API key for management-tier access

Path Parameters

Name Required Type Description
idRequiredstring

Code samples

cURLJavaScriptPythonGo
curl -X GET "https://api.canopy.dev/api/v1/nodes/value/ancestors" \
  -H "X-API-Key: $CANOPY_API_KEY"

Responses

200 Ancestors returned root-first
{
  "items": [
    {
      "id": "string",
      "application_id": "string",
      "parent_node_id": "string",
      "node_type": "string",
      "name": "string",
      "slug": "string",
      "status": "string",
      "metadata": {},
      "created_at": "2026-04-20T12:00:00.000Z",
      "updated_at": "2026-04-20T12:00:00.000Z",
      "version": 0
    }
  ]
}

application/json

  • itemsNodeResponseDto[]*
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)

Returned object

On this page

Related endpoints

GETList hierarchy (scoped tree)
POSTCreate a hierarchy node
GETGet a hierarchy node
PATCHUpdate a hierarchy node
DELETEDelete a hierarchy node
GETGet subtree from a node
GETGet direct children of a node
POSTMove (reparent) a node
GETList identities at a node
GETGet identity summary for a node